function init()
	-- TEXT --
	c.name = "Leyline"
	c.class = "gun"	--adds onto guns
	c.desc = "Grants all attached weapons +25% damage, speed, and range. WARNING: Permanent. Once placed, cannot be moved."

	-- SHAPE & PREREQUISITES --
	c.setAddon(0,0)
	c.setAddon(1,1)
	c.setAddon(2,2)
	c.setAddon(3,3)
	c.locked = 1
	
	-- STATS & GUNS --
	c.bonus.damage = .25
	c.bonus.range = .25
	c.bonus.shotspeed = .25
	c.addon = 1
	
	--broken and i don't care enough about it to fix
	--c.playable = 1	--can this component be found by the player?
	--c.unlockable = 0	--does this component need to be unlocked?
	c.cost = 500
	
	return 0
end